﻿using System;
using System.Windows.Forms;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.WinForms;

namespace _9176
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            winformsMap1.MapUnit = GeographyUnit.DecimalDegree;

            LayerOverlay mdbOverlay = new LayerOverlay();
            winformsMap1.Overlays.Add(mdbOverlay);
            string path = @"..\..\AppData\Portsmouth_2000.mdb";
            PersonalGeoDatabaseFeatureLayer personalGeoDatabaseFeatureLayer = new PersonalGeoDatabaseFeatureLayer(path, "FeatGUID", null, "ContactPt");
            personalGeoDatabaseFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Green);
            personalGeoDatabaseFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultLineStyle = LineStyles.CreateSimpleLineStyle(GeoColor.FromArgb(100, GeoColor.SimpleColors.Green), 2, true);
            personalGeoDatabaseFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultPointStyle = PointStyles.CreateSimplePointStyle(PointSymbolType.Cross, GeoColor.SimpleColors.Green, 2);
            personalGeoDatabaseFeatureLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            mdbOverlay.Layers.Add(personalGeoDatabaseFeatureLayer); //this overlay is already added to the map            

            personalGeoDatabaseFeatureLayer.Open();
            winformsMap1.CurrentExtent = personalGeoDatabaseFeatureLayer.GetBoundingBox();
            winformsMap1.Refresh();
        }
    }
}
